> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Device Local Config

> Presigned link to the settings the phone saved from its own menus (<mac>-local.cfg)



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/auto-provisioning/{deviceId}/local-config
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/auto-provisioning/{deviceId}/local-config:
    get:
      tags:
        - Auto Provisioning
      summary: Download Device Local Config
      description: >-
        Presigned link to the settings the phone saved from its own menus
        (<mac>-local.cfg)
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: deviceId
          required: true
      responses:
        '200':
          description: Local config download link
          content:
            application/json:
              schema:
                type: object
                properties:
                  deviceId:
                    type: number
                  mac:
                    type: string
                  url:
                    type: string
                    description: Presigned download URL (5 minutes)
                required:
                  - deviceId
                  - mac
                  - url
                additionalProperties: false
        '404':
          description: Device or local config not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.